Zum Hauptinhalt springen
PATCH
/
crm
/
v3
/
extensions
/
cards-dev
/
{appId}
/
{cardId}
Eine Karte aktualisieren
curl --request PATCH \
  --url https://api.hubapi.com/crm/v3/extensions/cards-dev/{appId}/{cardId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actions": {
    "baseUrls": [
      "https://www.example.com/hubspot"
    ]
  },
  "display": {
    "properties": [
      {
        "dataType": "STRING",
        "label": "Pets Name",
        "name": "pet_name"
      }
    ]
  },
  "fetch": {
    "objectTypes": [
      {
        "name": "contacts",
        "propertiesToSend": [
          "email",
          "firstname"
        ]
      }
    ],
    "targetUrl": "https://www.example.com/hubspot/target"
  },
  "title": "PetSpot"
}
'
{
  "actions": {
    "baseUrls": [
      "https://www.example.com/hubspot"
    ]
  },
  "auditHistory": [
    {
      "actionType": "CREATE",
      "applicationId": 123,
      "authSource": "APP",
      "changedAt": 123,
      "initiatingUserId": 123,
      "objectTypeId": 123
    }
  ],
  "display": {
    "properties": [
      {
        "dataType": "BOOLEAN",
        "label": "<string>",
        "name": "<string>",
        "options": [
          {
            "label": "<string>",
            "name": "<string>",
            "type": "DANGER"
          }
        ]
      }
    ]
  },
  "fetch": {
    "objectTypes": [
      {
        "name": "companies",
        "propertiesToSend": [
          "<string>"
        ]
      }
    ],
    "targetUrl": "<string>"
  },
  "id": "<string>",
  "title": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

appId
integer<int32>
erforderlich

Die ID der App, die die alte CRM-Karte enthält.

cardId
string
erforderlich

Die ID der App, die die alte CRM-Karte enthält

Body

application/json

Body for a patch with optional fields

actions
object

Configuration for custom user actions on cards.

Beispiel:
{
"baseUrls": ["https://www.example.com/hubspot"]
}
display
object

Configuration for displayed info on a card

fetch
object

Variant of CardFetchBody with fields as optional for patches

title
string

Der Top-Level-Titel für diese Karte. Wird den Benutzern in der CRM-UI angezeigt.

Antwort

successful operation

actions
object
erforderlich

Configuration for custom user actions on cards.

Beispiel:
{
"baseUrls": ["https://www.example.com/hubspot"]
}
auditHistory
object[]
erforderlich

Eine Liste der auf der Karte durchgeführten Aktionen, einschließlich Erstellung, Löschung und Aktualisierungen.

display
object
erforderlich

Configuration for displayed info on a card

fetch
object
erforderlich
id
string
erforderlich

Die eindeutige ID der Karte.

title
string
erforderlich

Der Top-Level-Titel für diese Karte. Wird den Benutzern in der CRM-UI angezeigt.

createdAt
string<date-time>

Der Zeitpunkt (Datum und Uhrzeit), zu dem die Karte erstellt wurde.

updatedAt
string<date-time>

Der Zeitpunkt (Datum und Uhrzeit), zu dem die Karte zuletzt aktualisiert wurde.

Last modified on April 13, 2026